---
title: glab mr approve
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Approve merge requests.

```plaintext
glab mr approve {<id> | <branch>} [flags]
```

## Examples

```console
$ glab mr approve 235
$ glab mr approve 123 345
$ glab mr approve branch-1
$ glab mr approve branch-2 branch-3

# Finds open merge request from current branch and approves it
$ glab mr approve

```

## Options

```plaintext
  -s, --sha string   SHA, which must match the SHA of the HEAD commit of the merge request.
```

## Options inherited from parent commands

```plaintext
  -h, --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
